kind: Pod
apiVersion: v1
metadata:
  name: service-6db69f4f7f-6mjlw
  generateName: service-6db69f4f7f-
  namespace: workflowproj
  uid: e1c1fadb-93da-4101-92a5-e5eb83d119c9
  resourceVersion: '645131'
  creationTimestamp: '2023-07-18T12:26:19Z'
  labels:
    app: service
    pod-template-hash: 6db69f4f7f
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: service-6db69f4f7f
      uid: 61af6459-ff02-420c-acb0-3749d26c322a
      controller: true
      blockOwnerDeletion: true
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2023-07-18T12:26:19Z'
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"61af6459-ff02-420c-acb0-3749d26c322a"}: {}
        f:spec:
          f:containers:
            k:{"name":"workflow"}:
              .: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:livenessProbe:
                .: {}
                f:failureThreshold: {}
                f:httpGet:
                  .: {}
                  f:path: {}
                  f:port: {}
                  f:scheme: {}
                f:periodSeconds: {}
                f:successThreshold: {}
                f:timeoutSeconds: {}
              f:name: {}
              f:ports:
                .: {}
                k:{"containerPort":8080,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
              f:readinessProbe:
                .: {}
                f:failureThreshold: {}
                f:httpGet:
                  .: {}
                  f:path: {}
                  f:port: {}
                  f:scheme: {}
                f:periodSeconds: {}
                f:successThreshold: {}
                f:timeoutSeconds: {}
              f:resources: {}
              f:securityContext:
                .: {}
                f:allowPrivilegeEscalation: {}
                f:capabilities:
                  .: {}
                  f:drop: {}
                f:privileged: {}
                f:runAsNonRoot: {}
                f:seccompProfile:
                  .: {}
                  f:type: {}
              f:startupProbe:
                .: {}
                f:failureThreshold: {}
                f:httpGet:
                  .: {}
                  f:path: {}
                  f:port: {}
                  f:scheme: {}
                f:initialDelaySeconds: {}
                f:periodSeconds: {}
                f:successThreshold: {}
                f:timeoutSeconds: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/home/kogito/serverless-workflow-project/src/main/resources"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                  f:readOnly: {}
                k:{"mountPath":"/home/kogito/serverless-workflow-project/src/main/resources/specs"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                k:{"mountPath":"/home/kogito/serverless-workflow-project/src/main/resources/workflows"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                  f:readOnly: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:terminationGracePeriodSeconds: {}
          f:volumes:
            .: {}
            k:{"name":"resources"}:
              .: {}
              f:name: {}
              f:projected:
                .: {}
                f:defaultMode: {}
                f:sources: {}
            k:{"name":"resources-specs"}:
              .: {}
              f:name: {}
              f:projected:
                .: {}
                f:defaultMode: {}
                f:sources: {}
            k:{"name":"workflow-definition"}:
              .: {}
              f:configMap:
                .: {}
                f:defaultMode: {}
                f:name: {}
              f:name: {}
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2023-07-18T12:27:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.244.2.95"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      subresource: status
spec:
  volumes:
    - name: resources
      projected:
        sources:
          - configMap:
              name: service-props
              items:
                - key: application.properties
                  path: application.properties
        defaultMode: 420
    - name: workflow-definition
      configMap:
        name: service
        defaultMode: 420
    - name: resources-specs
      projected:
        sources:
          - configMap:
              name: 01-service-resources
        defaultMode: 420
    - name: kube-api-access-sc86s
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
        defaultMode: 420
  containers:
    - name: workflow
      image: quay.io/kiegroup/kogito-swf-devmode-nightly:latest
      ports:
        - name: http
          containerPort: 8080
          protocol: TCP
      resources: {}
      volumeMounts:
        - name: workflow-definition
          readOnly: true
          mountPath: >-
            /home/kogito/serverless-workflow-project/src/main/resources/workflows
        - name: resources
          readOnly: true
          mountPath: /home/kogito/serverless-workflow-project/src/main/resources
        - name: resources-specs
          mountPath: /home/kogito/serverless-workflow-project/src/main/resources/specs
        - name: kube-api-access-sc86s
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      livenessProbe:
        httpGet:
          path: /q/health/live
          port: 8080
          scheme: HTTP
        timeoutSeconds: 3
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 50
      readinessProbe:
        httpGet:
          path: /q/health/ready
          port: 8080
          scheme: HTTP
        timeoutSeconds: 3
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 50
      startupProbe:
        httpGet:
          path: /q/health/started
          port: 8080
          scheme: HTTP
        initialDelaySeconds: 10
        timeoutSeconds: 3
        periodSeconds: 15
        successThreshold: 1
        failureThreshold: 50
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      imagePullPolicy: Always
      securityContext:
        capabilities:
          drop:
            - ALL
        privileged: false
        runAsNonRoot: true
        allowPrivilegeEscalation: false
        seccompProfile:
          type: RuntimeDefault
  restartPolicy: Always
  terminationGracePeriodSeconds: 30
  dnsPolicy: ClusterFirst
  serviceAccountName: default
  serviceAccount: default
  nodeName: minikube
  securityContext: {}
  schedulerName: default-scheduler
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
  priority: 0
  enableServiceLinks: true
  preemptionPolicy: PreemptLowerPriority
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-07-18T12:26:19Z'
    - type: Ready
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2023-07-18T12:26:19Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [workflow]'
    - type: ContainersReady
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2023-07-18T12:26:19Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [workflow]'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-07-18T12:26:19Z'
  hostIP: 192.168.49.2
  podIP: 10.244.2.95
  podIPs:
    - ip: 10.244.2.95
  startTime: '2023-07-18T12:26:19Z'
  containerStatuses:
    - name: workflow
      state:
        running:
          startedAt: '2023-07-18T12:27:04Z'
      lastState: {}
      ready: false
      restartCount: 0
      image: quay.io/kiegroup/kogito-swf-devmode-nightly:latest
      imageID: >-
        docker-pullable://quay.io/kiegroup/kogito-swf-devmode-nightly@sha256:29b64b72dbc9ccbd0bd786e245021b21865a9ff8ad5f9c5336119c19b14022da
      containerID: >-
        docker://dde758b73bf6c320d45542694a97a0897d13de045233d5bf3a7e6c33a7d93a98
      started: false
  qosClass: BestEffort
